# Return all certificate signing requests

This function lists an account's certificate signing requests (CSR).

Important:

When you disable the Calendars and Contacts, Receive Mail, Web Disk,
Webmail, and Web Server
roles,
the system disables this function.

Endpoint: GET /SSL/list_csrs
Version: 11.136.0.4
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_csrs"

  - `module` (string)
    The name of the module called.
    Example: "SSL"

  - `result` (object)

  - `result.data` (array)

  - `result.data.commonName` (string)
    The CSR's Common Name or Distinguished Name.
    Example: "example.com"

  - `result.data.created` (integer)
    The CSR's creation date.
    Example: 1538265600

  - `result.data.domains` (array)
    A list of the domains that the CSR covers.
    Example: ["example.com"]

  - `result.data.ecdsa_curve_name` (string,null)
    The ECDSA curve that the CSR's key uses.

* prime256v1
* secp384r1
* null — The CSR's key is not an ECDSA key.
    Enum: "prime256v1", "secp384r1"

  - `result.data.ecdsa_public` (string,null)
    The CSR's key's ECDSA compressed public point, in hexadecimal format.

* null — The CSR's key is not an ECDSA key.

  - `result.data.friendly_name` (string)
    The CSR's friendly name.
    Example: "TestCSR"

  - `result.data.id` (string)
    The CSR's ID.
    Example: "example_com_c69ce_37ff5_1397169490_169c717cb2c260281df792788accf041"

  - `result.data.key_algorithm` (string)
    The CSR's key's algorithm.

* rsaEncryption — RSA.
* id-ecPublicKey — ECDSA.
    Enum: "rsaEncryption", "id-ecPublicKey"

  - `result.data.modulus` (string,null)
    The CSR's key's modulus, in hexadecimal format.

* null — The CSR's key is not an RSA key.
    Example: "a673c3b17344664b35f8791f562d3aea6bf4d8faa3ae3fc0a519380fd453964a36677c34d48677ecb7f5ed035df026f5f0f8fbfe21745e52daf1f3b9e58c73f0baefdb709320e2202e7d05250b051a59b30ff1fef22d83d7140c1c81cea314a0890ce8d2226799872181c58a74016c7aaa2cff5ac72b575cecde8f304aa572a2ea03d8b173ab76c6e8cdb9dfd0da81e1119cefd4b8b4dbfbe0e46c7f1ee2fe8b5fd5504e58ccbc0d13b4fa41ecc9ebd0dabe1d1fec5c724f748167e7c0553e997f9b77eb36abce70973f06df151748d41b758de3efd7afa6f2464a1547f5ff158469d96e248be464df9eda0e7ce854a89332a2c1278b17c425368a9604f454db"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


